Subject: Re: bug#48683: 28.0.50; [PATCH] Feature suggestion gnus-summary-toggle-mark-as-processable

From: Alex Bochannek <[email-masked]>
Date: Tue, 01 Jun 2021 08:57:05 -0700

Lars Ingebrigtsen <[email-masked]> writes:

> Alex Bochannek <[email-masked]> writes:
>
>>> It seems like many people would prefer to have the `#' command be a
>>> toggle.  Perhaps we should just add a user option to have `#' toggle or
>>> not?  (Defaulting to "not toggle" for backwards compatibility.)
>>
>> How about something like this?
>
> Looks good.  Some small comments:
>
>> +(defcustom gnus-summary-process-mark-toggle nil
>
> Perhaps this should be gnus-process-mark-toggle and also work in the
> Group buffer?

That makes sense and I can look at that. I have not dug into the
differences between group and topic mode, but I hope they are similar
enough.

>> +		(if (eq t unmark)
>> +		    (gnus-summary-remove-process-mark article)
>> +		  (if (eq t gnus-summary-process-mark-toggle)
>
> We shouldn't check against t in either of these cases -- any non-nil
> value is valid.

Good point, thank you!

-- 
Alex.